//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Overlay/Viewport.h
//! @brief     Declares function GUI::Util::viewportRectangle.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_OVERLAY_VIEWPORT_H
#define BORNAGAIN_GUI_VIEW_OVERLAY_VIEWPORT_H

#include <QRectF>

class QCustomPlot;

namespace GUI::Util {

QRectF viewportRectangle(const QCustomPlot* qcp);

} // namespace GUI::Util

#endif // BORNAGAIN_GUI_VIEW_OVERLAY_VIEWPORT_H
