//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/SoftParticle/SoftParticles.h
//! @brief     Includes all soft-particle form-factor definitions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif // SWIG
#ifndef BORNAGAIN_SAMPLE_SOFTPARTICLE_SOFTPARTICLES_H
#define BORNAGAIN_SAMPLE_SOFTPARTICLE_SOFTPARTICLES_H

#include "Sample/SoftParticle/FuzzySphere.h"
#include "Sample/SoftParticle/Gauss.h"

#endif // BORNAGAIN_SAMPLE_SOFTPARTICLE_SOFTPARTICLES_H
